Name:          freehep-one-plugin
Version:       2.0
Release:       %mkrel 1
Summary:       FreeHEP Maven (2) One Plugin 
Group:         Development/Java
License:       LGPL
Url:           http://java.freehep.org/freehep-one-plugin/
# svn checkout svn://svn.freehep.org/svn/freehep/trunk/maven-plugins/freehep-one-plugin freehep-one-plugin
# tar czf freehep-one-plugin-2.0-beta-3-src-svn.tar.gz freehep-one-plugin
Source0:       freehep-one-plugin-2.0-beta-3-src-svn.tar.gz
# remove parent pom reference and add plexus-utils deps
Patch0:        freehep-one-plugin-2.0-beta-3-pom_xml.patch
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: plexus-compiler
BuildRequires: plexus-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Maven (2) Plugin to create dependency file for Maven 1 compatibility

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP Maven (2) One Plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n freehep-one-plugin
%patch0 -p0

%build
export MAVEN_REPO_LOCAL=$PWD/.m2/repository

mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 target/freehep-one-plugin-%{version}-beta-3-SNAPSHOT.jar \
  %{buildroot}%{_javadir}/freehep-one-plugin-%{version}.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-freehep-one-plugin.pom
%add_to_maven_depmap org.freehep freehep-one-plugin %{version}-beta-3-SNAPSHOT JPP freehep-one-plugin

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/freehep-one-plugin-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/freehep-one-plugin-%{version}
ln -sf freehep-one-plugin-%{version}  %{buildroot}%{_javadocdir}/freehep-one-plugin

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/freehep-one-plugin-%{version}.jar
%{_javadir}/freehep-one-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/freehep-one-plugin-%{version}
%{_javadocdir}/freehep-one-plugin



%changelog
* Wed Jul 27 2011 dmorgan <dmorgan> 2.0-1.mga2
+ Revision: 130007
- Clean spec file

  + gil <gil>
    - edit javadoc description
    - add patch0
    - imported package freehep-one-plugin


* Tue May 31 2011 gil <gil> 2.0-0.%%mkrel
- initial rpm